#### D.15.6.8 central1st

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  central1st(U1,U2,var); U1, U2 are the names of occuring derivatives, var is a variable in the basering;

Return:
  type vector; gives a predefined approximation of the first-order-central-approximation as often used in literature;

Note:
  see also forward,laxfrT,setinitials,scheme;

Example:

    LIB "finitediff.lib";
    list D="Ut","Ux","Uy","U";
    list V="t","x","y";
    list P="a","b";
    setinitials(V,D,P);
    central1st(Ux,U,x);
    ==> [0,(2*dx)*x,0,-x^2+1]
    central1st(Uy,U,y);
    ==> [0,0,(2*dy)*y,-y^2+1]

User manual for Singular version 4-0-3, 2016, generated by texi2html.